Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class Types.XapiHookFailed

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  com.xensource.xenapi.Types.XenAPIException
                      com.xensource.xenapi.Types.XapiHookFailed

All Implemented Interfaces:
  Serializable

Enclosing class:
  Types

    public static class Types.XapiHookFailed

extends Types.XenAPIException

3rd party xapi hook failed

See Also:
  Serialized Form

Field Summary
`String` | `exitCode`
`String` | `hookName`
`String` | `reason`
`String` | `stdout`

Fields inherited from class com.xensource.xenapi.Types.XenAPIException
`errorDescription, shortDescription`

Constructor Summary
`Types.XapiHookFailed(String hookName, String reason, String stdout, String exitCode)` Create a new XapiHookFailed

Method Summary

Methods inherited from class com.xensource.xenapi.Types.XenAPIException
`toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### hookName

    public final String hookName

### reason

    public final String reason

### stdout

    public final String stdout

### exitCode

    public final String exitCode

Constructor Detail

### Types.XapiHookFailed

    public Types.XapiHookFailed(String hookName,
                                String reason,
                                String stdout,
                                String exitCode)

  Create a new XapiHookFailed

  Parameters:
    `hookName` -
    `reason` -
    `stdout` -
    `exitCode` -

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD